# $Revision: 1.54 $, $Date: 2009/02/02 16:27:47 $
%define		pname	libgtk-java
Summary:	Java interface for the GTK+
Summary(pl.UTF-8):	Wrapper Javy dla GTK+
Name:		java-gtk
Version:	2.10.2
Release:	4
License:	LGPL
Group:		Libraries/Java
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgtk-java/2.10/%{pname}-%{version}.tar.bz2
# Source0-md5:	b953f9e106727028ab6ca025357212f0
URL:		http://java-gnome.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	gcc-java >= 5:3.3.2
BuildRequires:	gtk+2-devel >= 2:2.10.7
BuildRequires:	java-cairo-devel >= 1.0.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
Obsoletes:	libgtk-java
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		macros  %{_datadir}/glib-java/macros
%define		specflags	-fPIC

%description
Java interface for the GTK+.

%description -l pl.UTF-8
Wrapper Javy dla GTK+.

%package devel
Summary:	Header files for java-gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki java-gtk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.7
Requires:	java-cairo-devel >= 1.0.8
Obsoletes:	libgtk-java-devel

%description devel
Header files for java-gtk library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki java-gtk.

%package doc
Summary:	Reference documentation and examples for java-gtk
Summary(pl.UTF-8):	Szczegółowa dokumentacja i przykłady dla java-gtk
Group:		Documentation

%description doc
Reference documentation and examples for java-gtk.

%description doc -l pl.UTF-8
Szczegółowa dokumentacja i przykłady dla java-gtk.

%prep
%setup -q -n %{pname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I macros -I %{macros}
%{__automake}
%{__autoconf}
%configure \
	GCJFLAGS="%{rpmcflags}" \
	--without-javadocs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/%{pname}-%{version}/examples \
        $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/examples/*.in

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libgtk*-2.10.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkjava.so
%attr(755,root,root) %{_libdir}/libgtkjni.so
%{_datadir}/%{pname}
%{_includedir}/%{pname}
%{_javadir}/*.jar
%{_libdir}/*.la
%{_pkgconfigdir}/*.pc

%files doc
%defattr(644,root,root,755)
%doc %{_docdir}/%{pname}-%{version}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gtk.spec,v $
Revision 1.54  2009/02/02 16:27:47  glen
- -fPIC for x86_64 build; rel 4

Revision 1.53  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.52  2008/11/27 15:27:57  sls
- BR fixes

Revision 1.51  2008/11/12 21:08:22  arekm
- release 3

Revision 1.50  2008/07/21 13:39:24  megabajt
- release 2

Revision 1.49  2008/04/10 23:53:08  sls
- BR: gnome-doc-tools

Revision 1.48  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.47  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.46  2007/01/09 19:30:37  megabajt
- up to 2.10.2

Revision 1.45  2006/12/26 19:16:25  megabajt
- up to 2.10.1

Revision 1.44  2006/10/25 19:58:18  grzegol
- 2.10.0

Revision 1.43  2006/09/15 22:07:16  grzegol
- 2.9.3

Revision 1.42  2006/08/19 18:02:22  grzegol
- updated to 2.9.2

Revision 1.41  2006/08/14 13:31:21  grzegol
- added missing dir

Revision 1.40  2006/08/14 13:29:57  grzegol
- updated to 2.9.1

Revision 1.39  2006/06/09 15:40:14  wolf
- cosmetics

Revision 1.38  2006/04/05 17:05:08  freetz
- rel.2

Revision 1.37  2006/03/28 17:27:46  freetz
- 2.8.4

Revision 1.36  2005/12/15 16:52:31  freetz
- 2.8.2

Revision 1.35  2005/10/26 10:06:49  freetz
- 2.8.1

Revision 1.34  2005/10/26 08:38:01  qboosh
- pl declension

Revision 1.33  2005/10/25 18:35:36  freetz
- more -devel Rs

Revision 1.32  2005/10/25 18:13:45  freetz
- 2.8.0, use m4 macros provided by java-glib, more BRs

Revision 1.31  2005/05/11 20:01:18  freetz
- fixed typo

Revision 1.30  2005/05/10 21:02:59  freetz
- disable javadoc by default

Revision 1.29  2005/05/10 20:58:44  freetz
- remove unused files, cosmetics

Revision 1.28  2005/04/13 20:24:30  qboosh
- gpm-friendly Source URL

Revision 1.27  2005/04/13 18:55:38  freetz
- devhelp isn't required

Revision 1.26  2005/04/13 18:52:22  freetz
- 2.6.2, doc package added

Revision 1.25  2004/12/31 11:39:07  charles
- BR docbook-utils
- removed redundant BR libgcj-devel

Revision 1.24  2004/12/26 20:22:55  grzegol
- updated to 2.4.7.2

Revision 1.23  2004/12/26 20:14:10  grzegol
- updated to 2.4.7.1

Revision 1.22  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.21  2004/11/29 16:26:17  grzegol
- updated to 2.4.6
- removed outdated buildfix patch

Revision 1.20  2004/11/03 19:12:28  paladine
- formatting

Revision 1.19  2004/11/02 00:27:41  grzegol
- updated to 2.4.5
- removed outdated DESTDIR patch
- added buildfix patch

Revision 1.18  2004/10/10 19:08:46  paladine
- added missing BR: automake

Revision 1.17  2004/09/18 16:33:49  aflinta
- up to version 2.4.4

Revision 1.16  2004/07/21 13:33:20  pluto
- use %%{_javadir}.

Revision 1.15  2004/07/21 13:12:31  qboosh
- /usr/share/java is owned by jre
- added gcc epoch
- slocate BR should be obsolete, but if not, fix is needed

Revision 1.14  2004/07/21 13:01:16  grzegol
- updated to 2.4.3
- added DESTDIR patch

Revision 1.13  2004/07/04 21:48:41  grzegol
- updated to 2.4.2

Revision 1.12  2004/04/13 13:06:40  grzegol
- merged from DEVEL and updated to 2.4.0

Revision 1.11.2.4  2004/04/07 16:28:33  grzegol
- updated to 2.3.7

Revision 1.11.2.3  2004/03/07 19:12:15  grzegol
- updated to 2.3.6

Revision 1.11.2.2  2004/02/21 21:12:22  grzegol
- added gcjjar patch (allow passing GCJ_JAR to configure)
- pass GCJ_JAR to configure

Revision 1.11.2.1  2004/02/19 21:52:56  grzegol
- moved from libgtk-java.spec (ver. 2.3.5)

Revision 1.3  2004/02/17 20:16:58  grzegol
- strict internal deps

Revision 1.2  2004/02/17 20:14:45  grzegol
- updated to 2.3.5
- removed outdated libgcj patch
- added BR: slocate

Revision 1.1  2004/02/08 21:59:36  grzegol
- new
